Package: javax.swing

## [Java] Class JPopupMenu

- javax.swing.JPopupMenu

-     public class JPopupMenu
      extends Object

  GDK enhancements for JPopupMenu.

  displayName:
    JPopupMenu
  receiverFqcn:
    javax.swing.JPopupMenu

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator<MenuElement>` | `iterator()` Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.
    `` | `public JPopupMenu` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `` | `public JPopupMenu` | `leftShift(Component component)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `` | `public JPopupMenu` | `leftShift(JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `` | `public JPopupMenu` | `leftShift(String str)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `` | `public JPopupMenu` | `leftShift(GString gstr)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Iterator<MenuElement> iterator()

      Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.

      Returns:
        an Iterator for a JPopupMenu
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(Action action)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `action` - an action to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(Component component)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `component` - a component to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(JMenuItem item)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `item` - an item to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(String str)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `str` - a String to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(GString gstr)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `gstr` - a GString to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4